<?php

class MessageJgrowl extends Module
{
	private $_html = '';
    private $_postErrors = array();

	function __construct()
	{
		$this->name = 'messagejgrowl';
		$this->tab = 'Tools';
		$this->version = 0.3;

		parent::__construct(); // The parent construct is required for translations

		$this->page = basename(__FILE__, '.php');
		$this->displayName = $this->l('Message Jgrowl');
		$this->description = $this->l('Shows a Pop up Message in your shop');
	}

	function install()
	{
		if (!parent::install() OR !$this->registerHook('header') OR !$this->registerHook('home'))
			return false;
		if (!Configuration::updateValue('JGROWL_POSITION', 0))
			return false;
		if (!Configuration::updateValue('JGROWL_DISPLAY_THEME', 0))
			return false;
		if (!Configuration::updateValue('JGROWL_BACKGROUND', '#000'))
			return false;
		if (!Configuration::updateValue('JGROWL_TEXT', '#fff'))
			return false;
		if (!Configuration::updateValue('JGROWL_HOME', 0))
			return false;

		return true;
	}



	public function getContent()
	{
		$output = '<h2>'.$this->displayName.'</h2>';
		if (Tools::isSubmit('submitMessageJgrowl'))
		{
			$jgrowltitle = Tools::getValue('jgrowltitle');
			$jgrowl = htmlentities(preg_replace("(\r\n)", "", strtr(Tools::getValue('jgrowl'),'"',"'")));
			$jgrowlposition = intval(Tools::getValue('jgrowlposition'));
			$jgrowlbackground = Tools::getValue('jgrowlbackground');
			$jgrowltext = Tools::getValue('jgrowltext');
			$displaytheme = intval(Tools::getValue('displaytheme'));
			$jgrowlhome = intval(Tools::getValue('jgrowlhome'));
			Configuration::updateValue('JGROWL_TITLE', $jgrowltitle);
			Configuration::updateValue('PS_JGROWL', $jgrowl);
			Configuration::updateValue('JGROWL_POSITION', $jgrowlposition);
			Configuration::updateValue('JGROWL_BACKGROUND', $jgrowlbackground);
			Configuration::updateValue('JGROWL_TEXT', $jgrowltext);
			Configuration::updateValue('JGROWL_DISPLAY_THEME', $displaytheme);
			Configuration::updateValue('JGROWL_HOME', $jgrowlhome);
		}

		return $output.$this->displayForm();
	}

	public function displayForm()
	{
		return '
		<br />
			<script type="text/javascript" src="'.$this->_path.'js/farbtastic.js"></script>
			<link rel="stylesheet" href="'.$this->_path.'css/farbtastic.css" type="text/css" />
			<script type="text/javascript" src="../js/tinymce/jscripts/tiny_mce/tiny_mce.js"></script>
			<script language="javascript" type="text/javascript">
				tinyMCE.init({
					mode : "textareas",
					elements : "nourlconvert",
					convert_urls : false,
					theme : "advanced",
					theme_advanced_buttons1 : "bold, italic, underline, fontselect, fontsizeselect",
					theme_advanced_buttons2 : "forecolor, backcolor, separator, justifyleft, justifycenter, justifyright, justifyfull, separator, bullist, numlist, separator, undo, redo, separator, link, unlink, separator, code",
					theme_advanced_buttons3 : "",
					theme_advanced_toolbar_location : "top",
					theme_advanced_toolbar_align : "left",
					plugins : "contextmenu, directionality, media, paste, preview, safari",
					theme_advanced_buttons3_add : "ltr,rtl,pastetext,pasteword,selectall",
					theme_advanced_buttons1_add : "media,preview",
					paste_create_paragraphs : false,
					paste_create_linebreaks : false,
					paste_use_dialog : true,
					paste_auto_cleanup_on_paste : true,
					paste_convert_middot_lists : false,
					paste_unindented_list_class : "unindentedList",
					paste_convert_headers_to_strong : true,
					paste_insert_word_content_callback : "convertWord",
					plugin_preview_width : "500",
					plugin_preview_height : "600",
					extended_valid_elements : "a[name|href|target|title|onclick],img[class|src|border=0|alt|title|hspace|vspace|width|height|align|onmouseover|onmouseout|name],hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style]"
				});
				function convertWord(type, content)
				{
					switch (type)
					{
						case "before":
							break;
						case "after":
							break;
					}
					return content;
				}
		</script>
<script type="text/javascript">
  $(document).ready(function() {
    $("#colorpicker").farbtastic("#jgrowlbackground");
  });
</script>
<script type="text/javascript">
  $(document).ready(function() {
    $("#colorpicker1").farbtastic("#jgrowltext");
  });
</script>
		<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
			<fieldset>
				<legend><img src="'.$this->_path.'logo.gif" alt="" title="" />'.$this->l('Settings').'</legend>
				<label>'.$this->l('Title').'</label>
				<div class="margin-form">
					<input size="34" type="text" name="jgrowltitle"  value="'.(Tools::getValue('jgrowltitle', Configuration::get('JGROWL_TITLE'))).'" />
					<p class="clear">'.$this->l('Enter title for your Pop Up message').'</p>
				</div>

				<label>'.$this->l('Message').'</label>
				<div class="margin-form">
					<textarea name="jgrowl" rows="4" cols="53">'.(Tools::getValue('jgrowl', Configuration::get('PS_JGROWL'))).'</textarea>
					<p class="clear">'.$this->l('Enter the text that you want show in your Pop Up Message').'</p>
				</div>

				<label>'.$this->l('Position').'</label>
				<div class="margin-form">
					<select name="jgrowlposition" id="jgrowlposition">
						<option value="0" '.(Configuration::get('JGROWL_POSITION') == 0 ? 'selected' : '').'>'.$this->l('top-right').'</option>
						<option value="1" '.(Configuration::get('JGROWL_POSITION') == 1 ? 'selected' : '').'>'.$this->l('top-left').'</option>
						<option value="2" '.(Configuration::get('JGROWL_POSITION') == 2 ? 'selected' : '').'>'.$this->l('bottom-left').'</option>
						<option value="3" '.(Configuration::get('JGROWL_POSITION') == 3 ? 'selected' : '').'>'.$this->l('bottom-right').'</option>
						<option value="4" '.(Configuration::get('JGROWL_POSITION') == 4 ? 'selected' : '').'>'.$this->l('center').'</option>
					</select>
				</div>

				<label>'.$this->l('Background Color').'</label>
				<div class="margin-form">
					<div id="colorpicker"></div><input type="text" id="jgrowlbackground" name="jgrowlbackground" value="'.(Tools::getValue('jgrowlbackground', Configuration::get('JGROWL_BACKGROUND'))).'" />
					<p class="clear">'.$this->l('Chose the background color').'</p>
				</div>

				<label>'.$this->l('Text Color').'</label>
				<div class="margin-form">
					<div id="colorpicker1"></div><input type="text" id="jgrowltext" name="jgrowltext" value="'.(Tools::getValue('jgrowltext', Configuration::get('JGROWL_TEXT'))).'" />
					<p class="clear">'.$this->l('Chose the text color').'</p>
				</div>

				<label>'.$this->l('Use Theme').'</label>
				<div class="margin-form">
					<input type="radio" name="displaytheme" id="text_list_on" value="1" '.(Tools::getValue('displaytheme', Configuration::get('JGROWL_DISPLAY_THEME')) ? 'checked="checked" ' : '').'/>
					<label class="t" for="text_list_on"> <img src="../img/admin/enabled.gif" alt="'.$this->l('Enabled').'" title="'.$this->l('Enabled').'" /></label>
					<input type="radio" name="displaytheme" id="text_list_off" value="0" '.(!Tools::getValue('displaytheme', Configuration::get('JGROWL_DISPLAY_THEME')) ? 'checked="checked" ' : '').'/>
					<label class="t" for="text_list_off"> <img src="../img/admin/disabled.gif" alt="'.$this->l('Disabled').'" title="'.$this->l('Disabled').'" /></label>
					<p class="clear">'.$this->l('If you want use theme.').'</p>
				</div>

				<label>'.$this->l('Only in Home').'</label>
				<div class="margin-form">
					<input type="radio" name="jgrowlhome" id="text_list_on" value="1" '.(Tools::getValue('jgrowlhome', Configuration::get('JGROWL_HOME')) ? 'checked="checked" ' : '').'/>
					<label class="t" for="text_list_on"> <img src="../img/admin/enabled.gif" alt="'.$this->l('Enabled').'" title="'.$this->l('Enabled').'" /></label>
					<input type="radio" name="jgrowlhome" id="text_list_off" value="0" '.(!Tools::getValue('jgrowlhome', Configuration::get('JGROWL_HOME')) ? 'checked="checked" ' : '').'/>
					<label class="t" for="text_list_off"> <img src="../img/admin/disabled.gif" alt="'.$this->l('Disabled').'" title="'.$this->l('Disabled').'" /></label>
					<p class="clear">'.$this->l('If you want show only in the home (The message not show in more pages).').'</p>
				</div>

				<center><input type="submit" name="submitMessageJgrowl" value="'.$this->l('Save').'" class="button" /></center>
			</fieldset>
		</form>';
	}



	/**
	* Returns module content
	*
	* @param array $params Parameters
	* @return string Content
	*/


    public function hookHeader($params)
    {
		global $smarty;

		$jgrowlposition = intval(Configuration::get('JGROWL_POSITION'));

			switch ($jgrowlposition) {
		    case '0':
			$jgrowlposition = 'top-right';
			break;
		    case '1':
			$jgrowlposition = 'top-left';
			break;
		    case '2':
			$jgrowlposition = 'bottom-left';  
			break;
		    case '3':
			$jgrowlposition = 'bottom-right';  
			break;
		    case '4':
			$jgrowlposition = 'center';  
			break;
		}

		$smarty->assign(array(
			'jgrowltitle' => Configuration::get('JGROWL_TITLE'),
			'ms_jgrowl' => html_entity_decode(preg_replace("(\r\n)", "", Configuration::get('PS_JGROWL'))),
			'jgrowlposition' => $jgrowlposition,
			'jgrowlbackground' =>	Configuration::get('JGROWL_BACKGROUND'),
			'jgrowltext' =>	Configuration::get('JGROWL_TEXT'),
			'displaytheme' =>	Configuration::get('JGROWL_DISPLAY_THEME'),
			'jgrowlhome' =>	Configuration::get('JGROWL_HOME')
			));
		return ($this->display(__FILE__, '/messagejgrowl.tpl'));
	}	

	function hookHome($params)
    {
			global $smarty;

		$jgrowlposition = intval(Configuration::get('JGROWL_POSITION'));

			switch ($jgrowlposition) {
		    case '0':
			$jgrowlposition = 'top-right';
			break;
		    case '1':
			$jgrowlposition = 'top-left';
			break;
		    case '2':
			$jgrowlposition = 'bottom-left';  
			break;
		    case '3':
			$jgrowlposition = 'bottom-right';  
			break;
		    case '4':
			$jgrowlposition = 'center';  
			break;
			}

			$smarty->assign(array(
			'jgrowltitle' => Configuration::get('JGROWL_TITLE'),
			'ms_jgrowl' => html_entity_decode(preg_replace("(\r\n)", "", Configuration::get('PS_JGROWL'))),
			'jgrowlposition' => $jgrowlposition,
			'jgrowlbackground' =>	Configuration::get('JGROWL_BACKGROUND'),
			'jgrowltext' =>	Configuration::get('JGROWL_TEXT'),
			'displaytheme' =>	Configuration::get('JGROWL_DISPLAY_THEME'),
			'jgrowlhome' =>	Configuration::get('JGROWL_HOME')
			));
		return ($this->display(__FILE__, '/messagejgrowlhome.tpl'));
	}

}

?>